library verilog;
use verilog.vl_types.all;
entity singleDelayWithEnableGeneric_17s is
    generic(
        bitwidth        : integer := 17
    );
    port(
        N_10            : in     vl_logic_vector(19 downto 19);
        N_6             : in     vl_logic_vector(1 downto 1);
        SD_Mod_Select   : in     vl_logic_vector(1 downto 0);
        tmpOut          : out    vl_logic_vector(0 downto 0);
        N_4             : out    vl_logic_vector(16 downto 1);
        tmpOutPre_i_0   : in     vl_logic_vector(19 downto 6);
        tmpOutPre       : in     vl_logic_vector(21 downto 20);
        clk             : in     vl_logic;
        N_5_0           : out    vl_logic;
        N_89            : in     vl_logic;
        GlobalReset     : in     vl_logic;
        un1_rst_1       : in     vl_logic;
        N_35            : in     vl_logic;
        N237_i_0        : in     vl_logic;
        rst_1           : in     vl_logic
    );
end singleDelayWithEnableGeneric_17s;
